API v1API reference
Rotate a webhook secret
Replace the signing secret for one workspace webhook. Store the returned new secret securely; the previous secret is invalidated.
POST
/v1/webhooks/{webhookId}/rotateAuthorization
bearerKey AuthorizationBearer <token>
A scoped automation key authorized for the REST API.
In: header
Path Parameters
webhookId*string
Format
uuidHeader Parameters
X-Ndnci-Workspace*string
Select a workspace explicitly included in this access grant.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate" \ -H "X-Ndnci-Workspace: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Authorization: Bearer <NDNCI_API_KEY>"{ "success": true, "code": "PUBLIC_WEBHOOKS_ROTATE", "message": "Successful response", "data": { "webhook": { "id": "123e4567-e89b-42d3-a456-426614174007", "workspaceId": "123e4567-e89b-42d3-a456-426614174001", "url": "https://hooks.example.org/ndnci", "eventTypes": [ "job.completed", "job.failed" ], "enabled": true, "createdAt": "2026-10-01T12:00:00Z", "updatedAt": "2026-10-01T12:00:00Z" }, "secret": "whsec_AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" }}Required scope: webhooks:write · Usage points: 5
Credits are charged separately for work that consumes paid services.